summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2009-06-23 11:51:19 +0100
committerNick White <git@njw.me.uk>2009-06-23 11:51:19 +0100
commitdad2f8163435c5b1804147ff37c54799c2c38a14 (patch)
tree9ee7774abef2a1a9f86f1a3a82c58beae04104dc
parentfeab7fb5d02efade47bf804f45448e53f951c67b (diff)
downloadgemrb-gameinstallers-dad2f8163435c5b1804147ff37c54799c2c38a14.tar.bz2
gemrb-gameinstallers-dad2f8163435c5b1804147ff37c54799c2c38a14.zip
Sanitise copying further
-rwxr-xr-xbg1/install-5cd-minimal.sh4
-rwxr-xr-xpst/install-patch-official.sh2
2 files changed, 3 insertions, 3 deletions
diff --git a/bg1/install-5cd-minimal.sh b/bg1/install-5cd-minimal.sh
index e6be0fa..b4c522d 100755
--- a/bg1/install-5cd-minimal.sh
+++ b/bg1/install-5cd-minimal.sh
@@ -28,7 +28,7 @@ getcd 1 $BG1_5CD_INTL_MD5 data1.cab
mkdir -p "$TARGETDIR" || die
-cp "${CDMOUNT}/dialog.tlk" "$TARGETDIR" || die
+copylower "${CDMOUNT}/dialog.tlk" "$TARGETDIR" || die
unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
@@ -40,6 +40,6 @@ rm -r "${TARGETDIR}/recommended_music" "${TARGETDIR}/english_sounds"
mkdir -p "${TARGETDIR}/movies"
-cp "${CDMOUNT}/baldur.ico" "$TARGETDIR" || die
+copylower "${CDMOUNT}/baldur.ico" "$TARGETDIR" || die
setperms "$TARGETDIR"
diff --git a/pst/install-patch-official.sh b/pst/install-patch-official.sh
index b053e37..3cac6a1 100755
--- a/pst/install-patch-official.sh
+++ b/pst/install-patch-official.sh
@@ -38,7 +38,7 @@ getpatch $patch_url
cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
-cp -R "${TMPDIR}/program_executable_files/"* "$TARGETDIR" || diesoftly
+copylower "${TMPDIR}/program_executable_files/" "$TARGETDIR" || diesoftly
cleanuptmp
setperms "$TARGETDIR"